#!/bin/sh

CROSSDIR_ROOT=/home/patrice/local

./step-all.sh OSMesa $CROSSDIR_ROOT/m68k-atari-mint/include/GL
# SDL may depends on OSMesa
./step-all.sh SDL $CROSSDIR_ROOT/m68k-atari-mint/include/SDL
./step-all.sh jpeg $CROSSDIR_ROOT/m68k-atari-mint/include
./step-all.sh png $CROSSDIR_ROOT/m68k-atari-mint/include
# tiff depends on jpeg
./step-all.sh tiff $CROSSDIR_ROOT/m68k-atari-mint/include
./step-all.sh ogg $CROSSDIR_ROOT/m68k-atari-mint/include/ogg

# vorbis depends on ogg
./step-all.sh vorbis $CROSSDIR_ROOT/m68k-atari-mint/include/vorbis
# vorbisenc depends on vorbis,ogg
./step-all.sh vorbisenc $CROSSDIR_ROOT/m68k-atari-mint/include/vorbis
# vorbisfile depends on vorbis,ogg
./step-all.sh vorbisfile $CROSSDIR_ROOT/m68k-atari-mint/include/vorbis

# GLU depends on OSMesa
./step-all.sh GLU ~/local/m68k-atari-mint/include/GL

# SDL_image depends on jpeg,tiff,png,SDL
./step-all.sh SDL_image ~/local/m68k-atari-mint/include/SDL
# SDL_mixer depends on vorbisfile,vorbis,ogg,SDL
./step-all.sh SDL_mixer ~/local/m68k-atari-mint/include/SDL
