#!/bin/sh
#
#	Read library include files, generate function list
#
# Usage:
#  step1.sh <profilename> <include files directory>

mkdir -p build/functions/$1

for i in `cat profiles/$1/headers.txt`;
do
	echo "Extracting functions from file $i"
	profiles/$1/gen_func.pl $2/$i > build/functions/$1/$i
done
