#!/usr/bin/perl
# Read original include file, and generate export for LDG linker

$file = @ARGV[0];

if ( ! defined(open(FILE, $file)) ) {
	warn "Couldn't open $file: $!\n";
	exit;
}

while ($ligne = <FILE>) {
	my @proto = $ligne =~ /(.* +\**)(\w+) *\((.*)\);/ ;

	print	"\t.globl\t_".@proto[1]."\n".
		"_".@proto[1].":\n".
		"\tlea\t".@proto[1]."_p,a1\n".
		"\tmovel\ta1@,a0\n".
		"\tjmp\ta0@\n";
}
close(FILE);
