#!/usr/bin/perl
# Read include file for functions, and generate export for LDG linker

$file = @ARGV[0];

if ( ! defined(open(FILE, $file)) ) {
	warn "Couldn't open $file: $!\n";
	exit;
}

while ($ligne = <FILE>) {
	my @function_name = $ligne =~ /.* +\**(\w+) *\(.*\);/ ;

	chomp($ligne);
	$ligne =~ s/;//;

	print	"\t\{\"" . @function_name[0] . "\",\n".
		"\t\"" . $ligne . "\",\n".
		"\t" . @function_name[0] . "\},\n";
}
close(FILE);
