#!/usr/bin/perl
# Read original include file, and output functions prototypes

$file = @ARGV[0];

if ( ! defined(open(FILE, $file)) ) {
	warn "Couldn't open $file: $!\n";
	exit;
}

while ($ligne = <FILE>) {
	if ($ligne =~ /extern *"C"/ ) {
		next;
	}

	if ($ligne !~ /extern/ ) {
		next;
	}

	while ($ligne !~ /\);/ ) {	
		chomp($ligne);
		$ligne .= <FILE>;
	}

	$ligne =~ s/\t/ /g ;
	$ligne =~ s/ +/ /g ;

	@myproto = $ligne =~ /extern *(.*) *(ov_\w+) *\((.*)\);/;

	print @myproto[0].@myproto[1]."(".@myproto[2].");\n";
}
close(FILE);
