#!/usr/bin/perl
# Read original include file, and output functions prototypes

$file = @ARGV[0];

if ( ! defined(open(FILE, $file)) ) {
	warn "Couldn't open $file: $!\n";
	exit;
}

$linecount=0;
while ($ligne = <FILE>) {
	if ($ligne !~ /^XMLPUBFUN/ ) {
		next;
	}

	while ($ligne !~ /\) *;/ ) {
		chomp($ligne);
		$ligne .= " " . <FILE>;
	}
	$ligne =~ s/\t/ /g ;
	$ligne =~ s/ +/ /g ;

	@myproto = $ligne =~ /XMLPUBFUN *(.*) *X?M?L?C?A?L?L? *(\w+) *\((.*)\) *;/;

	print @myproto[0].@myproto[1]."(".@myproto[2].");\n";

#	$linecount++;
}
close(FILE);

#print "/* Functions generated: $linecount */\n";
